org.jbpm.process.instance.event

## Class DefaultSignalManager

- java.lang.Object
- - org.jbpm.process.instance.event.DefaultSignalManager

- All Implemented Interfaces:
    SignalManager
  Direct Known Subclasses:
    JPASignalManager

      public class DefaultSignalManager
      extends Object
      implements SignalManager

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DefaultSignalManager.SignalAction`
    `static class` | `DefaultSignalManager.SignalProcessInstanceAction`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSignalManager(org.drools.core.common.InternalKnowledgeRuntime kruntime)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventListener(String type, org.kie.api.runtime.process.EventListener eventListener)`
    `org.drools.core.common.InternalKnowledgeRuntime` | `getKnowledgeRuntime()`
    `void` | `internalSignalEvent(String type, Object event)`
    `void` | `removeEventListener(String type, org.kie.api.runtime.process.EventListener eventListener)`
    `void` | `signalEvent(long processInstanceId, String type, Object event)`
    `void` | `signalEvent(String type, Object event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultSignalManager

          public DefaultSignalManager(org.drools.core.common.InternalKnowledgeRuntime kruntime)

  - ### Method Detail

    - #### getKnowledgeRuntime

          public org.drools.core.common.InternalKnowledgeRuntime getKnowledgeRuntime()

    - #### addEventListener

          public void addEventListener(String type,
                                       org.kie.api.runtime.process.EventListener eventListener)

      Specified by:
        `addEventListener` in interface `SignalManager`

    - #### removeEventListener

          public void removeEventListener(String type,
                                          org.kie.api.runtime.process.EventListener eventListener)

      Specified by:
        `removeEventListener` in interface `SignalManager`

    - #### signalEvent

          public void signalEvent(String type,
                                  Object event)

      Specified by:
        `signalEvent` in interface `SignalManager`

    - #### internalSignalEvent

          public void internalSignalEvent(String type,
                                          Object event)

    - #### signalEvent

          public void signalEvent(long processInstanceId,
                                  String type,
                                  Object event)

      Specified by:
        `signalEvent` in interface `SignalManager`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.